
#ifndef __SI114X_h
#define __SI114X_h

#define SI1145_ADDR     0xC0

//rejestry I2C
#define REG_PART_ID     0x00
#define REG_HW_KEY      0x07
#define REG_UVINDEX0    0x2C
#define REG_UVINDEX1    0x2D
#define ALS_VIS_DATA0   0x22
#define ALS_VIS_DATA1   0x23
#define REG_UCOEF0      0x13  
#define REG_UCOEF1      0x14
#define REG_UCOEF2      0x15  
#define REG_UCOEF3      0x16 
#define REG_PARAM_WR    0x17
#define REG_COMMAND     0x18
#define REG_RESPONSE    0x20



//komendy do rejestru COMMAND
#define COMM_RESET      0x01
#define COMM_NOP        0x00
#define COMM_PARAM_SET  0xA0
#define COMM_ALS_FORCE  0x06

//adresy w pamieci RAM
#define PARAM_CH_LIST             0x01
#define PARAM_ALSVIS_ADC_MISC     0x12
#define PARAM_ALSIR_ADC_MISC      0x1F

//wartosci
#define HW_KEY_VAL0     0x17
#define UV_TASK         0x80
#define IR_TASK         0x20
#define VIS_TASK        0x10

#define VIS_RANGE       0x20
#define IR_RANGE        0x20

void initSI114X(void);
unsigned int readUV(void);
void Si114xParamSet (unsigned char dev_addr, unsigned char RAM_addr, unsigned char value);
#endif